<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty jtl2google modifier plugin
 *
 * Type:     modifier<br>
 * Name:     jtl2google<br>
 * Purpose:  format jtl-shop 2 price strings like "1.234,99 EUR" to "1234.99"
 * for propper use in google analytics ecommerce tracking
 * @author   Niels Baumbach <niels at shopseo dot de>
 * @param string to string to format
 */
function smarty_modifier_jtl2google($string)
{
    $str = str_replace(' EUR','',$string); // "1.234,99 EUR" --> "1.234,99"
	$str = str_replace('.','',$str); // "1.234,99" --> "1234,99"
	$str = str_replace(',','.',$str); // "1234,99" --> 1234.99"
    return $str;
}

/* vim: set expandtab: */

?>